package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.GroupSGChain;
import org.apache.ws.jaxme.generator.sg.ParticleSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.XSParticle;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class GroupSGImpl implements GroupSG {
  private GroupSGChain backingObject;


  public GroupSGImpl(GroupSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public JavaSource getXMLInterface() throws SAXException {
     return backingObject.getXMLInterface(this);
  }

  public JavaSource getXMLImplementation() throws SAXException {
     return backingObject.getXMLImplementation(this);
  }

  public boolean isGlobal() {
     return backingObject.isGlobal(this);
  }

  public boolean isAll() {
     return backingObject.isAll(this);
  }

  public boolean isChoice() {
     return backingObject.isChoice(this);
  }

  public boolean isSequence() {
     return backingObject.isSequence(this);
  }

  public void generateProperties(JavaSource p0) throws SAXException {
    backingObject.generateProperties(this, p0);
  }

  public void generateXMLInterfaceSubclasses(JavaSource p0) throws SAXException {
    backingObject.generateXMLInterfaceSubclasses(this, p0);
  }

  public void generateXMLImplementationSubclasses(JavaSource p0) throws SAXException {
    backingObject.generateXMLImplementationSubclasses(this, p0);
  }

  public void generateXMLHandlersElements(JavaSource p0, DirectAccessible p1) throws SAXException {
    backingObject.generateXMLHandlersElements(this, p0, p1);
  }

  public void generateXMLSerializersElements(JavaSource p0) throws SAXException {
    backingObject.generateXMLSerializersElements(this, p0);
  }

  public ParticleSG[] getParticles() {
     return backingObject.getParticles(this);
  }

  public Object newParticleSG(XSParticle p0) throws SAXException {
     return backingObject.newParticleSG(this, p0);
  }

  public void generate() throws SAXException {
    backingObject.generate(this);
  }

  public Context getClassContext() throws SAXException {
     return backingObject.getClassContext(this);
  }

  public Locator getLocator() {
     return backingObject.getLocator(this);
  }

  public SchemaSG getSchema() {
     return backingObject.getSchema(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public SGFactory getFactory() {
     return backingObject.getFactory(this);
  }

  public GroupSGChain getHeadOfChain() {
    return backingObject;
  }

}
