package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.AtomicTypeSG;
import org.apache.ws.jaxme.generator.sg.Facet;
import org.apache.ws.jaxme.generator.sg.ListTypeSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGlet;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSGChain;
import org.apache.ws.jaxme.generator.sg.UnionTypeSG;
import org.apache.ws.jaxme.js.DirectAccessible;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class SimpleTypeSGImpl implements SimpleTypeSG {
  private SimpleTypeSGChain backingObject;


  public SimpleTypeSGImpl(SimpleTypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public boolean isNullable() {
     return backingObject.isNullable(this);
  }

  public void setNullable(boolean p0) {
    backingObject.setNullable(this, p0);
  }

  public void forAllValues(JavaMethod p0, Object p1, SGlet p2) throws SAXException {
    backingObject.forAllValues(this, p0, p1, p2);
  }

  public void forAllNonNullValues(JavaMethod p0, Object p1, SGlet p2) throws SAXException {
    backingObject.forAllNonNullValues(this, p0, p1, p2);
  }

  public String getCollectionType() {
     return backingObject.getCollectionType(this);
  }

  public JavaMethod getXMLSetMethod(JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLSetMethod(this, p0, p1, p2);
  }

  public boolean isAtomic() {
     return backingObject.isAtomic(this);
  }

  public boolean isList() {
     return backingObject.isList(this);
  }

  public boolean isUnion() {
     return backingObject.isUnion(this);
  }

  public AtomicTypeSG getAtomicType() {
     return backingObject.getAtomicType(this);
  }

  public ListTypeSG getListType() {
     return backingObject.getListType(this);
  }

  public UnionTypeSG getUnionType() {
     return backingObject.getUnionType(this);
  }

  public JavaQName getRuntimeType() {
     return backingObject.getRuntimeType(this);
  }

  public Object getCastFromString(JavaMethod p0, Object p1, Object p2) throws SAXException {
     return backingObject.getCastFromString(this, p0, p1, p2);
  }

  public Object getCastFromString(String p0) throws SAXException {
     return backingObject.getCastFromString(this, p0);
  }

  public Object getCastToString(JavaMethod p0, Object p1, DirectAccessible p2) throws SAXException {
     return backingObject.getCastToString(this, p0, p1, p2);
  }

  public boolean hasSetMethod() throws SAXException {
     return backingObject.hasSetMethod(this);
  }

  public Facet[] getFacets() {
     return backingObject.getFacets(this);
  }

  public Facet getFacet(Facet.Type p0) {
     return backingObject.getFacet(this, p0);
  }

  public Object getEqualsCheck(JavaMethod p0, Object p1, Object p2) throws SAXException {
     return backingObject.getEqualsCheck(this, p0, p1, p2);
  }

  public void addValidation(JavaMethod p0, DirectAccessible p1) throws SAXException {
    backingObject.addValidation(this, p0, p1);
  }

  public void generate(JavaSource p0) throws SAXException {
    backingObject.generate(this, p0);
  }

  public void generate() throws SAXException {
    backingObject.generate(this);
  }

  public Object getInitialValue(JavaSource p0) throws SAXException {
     return backingObject.getInitialValue(this, p0);
  }

  public Locator getLocator() {
     return backingObject.getLocator(this);
  }

  public SchemaSG getSchema() {
     return backingObject.getSchema(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public SGFactory getFactory() {
     return backingObject.getFactory(this);
  }

  public SimpleTypeSGChain getHeadOfChain() {
    return backingObject;
  }

}
