package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.sg.ComplexTypeSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.SimpleTypeSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.generator.sg.TypeSGChain;
import org.apache.ws.jaxme.js.JavaField;
import org.apache.ws.jaxme.js.JavaMethod;
import org.apache.ws.jaxme.js.JavaQName;
import org.apache.ws.jaxme.js.JavaSource;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.apache.ws.jaxme.xs.xml.XsSchemaHeader;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;


public class TypeSGImpl implements TypeSG {
  private TypeSGChain backingObject;


  public TypeSGImpl(TypeSGChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public JavaField getXMLField(JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLField(this, p0, p1, p2);
  }

  public JavaMethod getXMLGetMethod(JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLGetMethod(this, p0, p1, p2);
  }

  public JavaMethod getXMLSetMethod(JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLSetMethod(this, p0, p1, p2);
  }

  public JavaMethod getXMLIsSetMethod(JavaSource p0, String p1, String p2) throws SAXException {
     return backingObject.getXMLIsSetMethod(this, p0, p1, p2);
  }

  public JavaQName getRuntimeType() throws SAXException {
     return backingObject.getRuntimeType(this);
  }

  public boolean isGlobalType() {
     return backingObject.isGlobalType(this);
  }

  public boolean isGlobalClass() {
     return backingObject.isGlobalClass(this);
  }

  public Object newSimpleTypeSG() throws SAXException {
     return backingObject.newSimpleTypeSG(this);
  }

  public Object newComplexTypeSG() throws SAXException {
     return backingObject.newComplexTypeSG(this);
  }

  public ComplexTypeSG getComplexTypeSG() {
     return backingObject.getComplexTypeSG(this);
  }

  public SimpleTypeSG getSimpleTypeSG() {
     return backingObject.getSimpleTypeSG(this);
  }

  public boolean isRestriction() {
     return backingObject.isRestriction(this);
  }

  public TypeSG getRestrictedType() {
     return backingObject.getRestrictedType(this);
  }

  public boolean isExtension() {
     return backingObject.isExtension(this);
  }

  public TypeSG getExtendedType() {
     return backingObject.getExtendedType(this);
  }

  public XsSchemaHeader getSchemaHeader() {
     return backingObject.getSchemaHeader(this);
  }

  public void setProperty(String p0, Object p1) {
    backingObject.setProperty(this, p0, p1);
  }

  public XsQName getName() {
     return backingObject.getName(this);
  }

  public Object getProperty(String p0) {
     return backingObject.getProperty(this, p0);
  }

  public void generate(JavaSource p0) throws SAXException {
    backingObject.generate(this, p0);
  }

  public void generate() throws SAXException {
    backingObject.generate(this);
  }

  public boolean isComplex() {
     return backingObject.isComplex(this);
  }

  public Locator getLocator() {
     return backingObject.getLocator(this);
  }

  public SchemaSG getSchema() {
     return backingObject.getSchema(this);
  }

  public void init() throws SAXException {
    backingObject.init(this);
  }

  public SGFactory getFactory() {
     return backingObject.getFactory(this);
  }

  public TypeSGChain getHeadOfChain() {
    return backingObject;
  }

}
